# QPageSetupDialog Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractPageSetupDialog.

### Constructor

- void QPageSetupDialog(QPrinter printer, QWidget parent)
- void QPageSetupDialog(QWidget parent)

### Constructor Properties

- prototype: The QPageSetupDialog prototype object
- OwnsPrinter = 0x80000000
- None = 0x00000000
- DontUseSheet = 0x00000001
- PageSetupDialogOption( value )
- PageSetupDialogOptions( value1, value2, ... )

### Prototype Object Properties

The QPageSetupDialog prototype object inherits properties from the QAbstractPageSetupDialog prototype object and also has the following properties.

- void addEnabledOption(PageSetupDialogOption option)
- PageSetupDialogOptions enabledOptions()
- bool isOptionEnabled(PageSetupDialogOption option)
- void open(QObject receiver, char member)
- void setEnabledOptions(PageSetupDialogOptions options)
- void setOption(PageSetupDialogOption option, bool on)
- bool testOption(PageSetupDialogOption option)

### Instance Properties

QPageSetupDialog objects inherit properties from the QPageSetupDialog prototype object and also have the following properties.

- options